Bug 11096 - Disk Druid Reports NTFS partitions as HPFS + cannot create boot partition
Disk Druid Reports NTFS partitions as HPFS + cannot create boot partition
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-04-28 10:06 EDT by Steve Thomas
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-09 11:22:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Thomas 2000-04-28 10:06:09 EDT
I have obtained the latest Anaconda update (boot-20000407.img and
update-disk-20000419.img). I am trying to install on a machine with 2
NTFS partitions followed by an area of free space. Using the above upgrade
floppy disks in addition the the CD ROM, I have found the following.
1) Disk druid reports the two NTFS partitions as HPFS partitions.
2) I cannot create a /boot or / partition in disk druid. Reports not enough
space - this is probably due to attempting to place beyond cylinder 1024?
3) Attempting to run Disk Druid a second time (without having written any
partitions on the previous attempt) I get a report of a corrupted partition
table and a prompt to re-initialise with the loss of all data on the disk.
NT still appears to loading up OK.
Comment 1 Michael Fulbright 2000-06-12 15:15:57 EDT
The first issue is resolved in the internal development version.

The second issue is probably due to the 1024 cylinder limit being imposed.
It may be possible to relax this limit now LILO supports loading > 1024
cylinder in future releases.

The final issue is unclear - what do you partition tables look like?
Comment 2 Brent Fox 2000-08-09 11:22:55 EDT
Closed due to inactivity.  Please re-open if the problem reoccurs.

Note You need to log in before you can comment on or make changes to this bug.